########################################################################
#  Copyright (c) 1998-2000 by SAS Institute Inc., Cary, NC USA 27513   #
#  NAME:        sastra.mak                                             #
#  PURPOSE:     Generate sastra on customer's site to work with        #
#               TUF 8.1 on AIX by statically linking in libcliv2.so    #
#  HISTORY:                                                            #
#   Description                                      Id    Date        #
#   Created.                                        prb   21Apr04      #
#   Modified for 9.1.3 install.                     prb   05May04      #
#   Link in new UNICODE libraries for TTU 8.x        as   22June05     #
#   Modified for 9.1.3F5 hotfix.                    prb   20Sep05      #
########################################################################
NCRLIB = /usr/lib/lib_64
########################################################################
# Current directory is SASROOT/misc/dbi.  The updated modules will     #
# reside in SASROOT/hotfix/sasexe                                      #
########################################################################
SASLIB = ../../hotfix/sasexe
MSGLIB = ../../hotfix/sasmsg
OBJLIB = sastra_obj
CLILIB8 = libicudatatd.a libicudatatd28.a libicui18ntd.a libicui18ntd28.a libicuiotd.a libicuiotd28.a libiculetd.a libiculetd28.a libiculxtd.a libiculxtd28.a libicuuctd.a libicuuctd28.a libcliv2.a libtdusr.a
CLILIB12 = libicudatatd.a libicudatatd34.a libicui18ntd.a libicui18ntd34.a libicuiotd.a libicuiotd34.a libiculetd.a libiculetd34.a libiculxtd.a libiculxtd34.a libicuuctd.a libicuuctd34.a libcliv2.a libtdusr.a

########################################################################
# (a) Backup sastra                                                    #
# (b) Link with the static archives generated from NCR's shared        #
#     objects.                                                         #
# (d) Clean-up.                                                        #
########################################################################
sastra:	 $(CLILIB12)

	echo "Copying sasiotra"
	cp sastra_obj/sasiotra.e9te11 $(SASLIB)
	cd $(SASLIB);ln -s -f sasiotra.e9te11 sasiotra
	mkdir -p $(MSGLIB);cp sastra_obj/dbi7msg.msg.e9te11 $(MSGLIB)
	cd $(MSGLIB);ln -s -f dbi7msg.msg.e9te11 dbi7msg.msg

	echo "Generating $@"

	ld  -bnoquiet -o $(SASLIB)/sastra.e9te11                       \
	$(OBJLIB)/ptrgl.o                                              \
	$(OBJLIB)/hicrt.o                                              \
	$(OBJLIB)/MCN_sastra.o                                         \
	$(OBJLIB)/sastra.o                                             \
	$(OBJLIB)/tcli.o                                               \
	$(OBJLIB)/tcli2.o                                              \
	$(OBJLIB)/tcli3.o                                              \
	$(OBJLIB)/cli.o                                                \
	$(OBJLIB)/tratbl.o                                             \
	$(OBJLIB)/PCN_sastra.o                                         \
	-b64                                                           \
	-bM:SRE                                                        \
	-bnoipath                                                      \
	-L/usr/lib/lib_64                                              \
	-bipath                                                        \
	-lpthreads                                                     \
	-ltli                                                          \
	-e mcn_main                                                    \
	-bE:$(OBJLIB)/exports                                          \
	$(OBJLIB)/zxfer.a                                              \
	$(OBJLIB)/libpatchm.a                                          \
	$(OBJLIB)/webxfer.a                                            \
	$(OBJLIB)/xed2xfer.a                                           \
	$(OBJLIB)/xed3xfer.a                                           \
	$(OBJLIB)/xedxfer.a                                            \
	$(OBJLIB)/xnxfer.a                                             \
	$(OBJLIB)/vxfer.a                                              \
	$(OBJLIB)/wxfer.a                                              \
	$(OBJLIB)/wugxfer.a                                            \
	$(OBJLIB)/wuxxfer.a                                            \
	$(OBJLIB)/wzsdxfer.a                                           \
	$(OBJLIB)/wztxxfer.a                                           \
	$(OBJLIB)/xobxfer.a                                            \
	$(OBJLIB)/imdbxfer.a                                           \
	$(OBJLIB)/zodsxfer.a                                           \
	$(OBJLIB)/nlssubs.a                                            \
	$(OBJLIB)/prldxfer.a                                           \
	$(OBJLIB)/prlixfer.a                                           \
	$(OBJLIB)/prllib.a                                             \
	$(OBJLIB)/prlpxfer.a                                           \
	$(OBJLIB)/prlsxfer.a                                           \
	$(OBJLIB)/prltxfer.a                                           \
	$(OBJLIB)/prlvxfer.a                                           \
	$(OBJLIB)/prlwxfer.a                                           \
	$(OBJLIB)/zsorxfer.a                                           \
	$(OBJLIB)/ztxxfer.a                                            \
	$(OBJLIB)/dtuxfer.a                                            \
	$(OBJLIB)/xak2xfer.a                                           \
	$(OBJLIB)/xakxfer.a                                            \
	$(OBJLIB)/xalxfer.a                                            \
	$(OBJLIB)/xasxfer.a                                            \
	$(OBJLIB)/xatrxfer.a                                           \
	$(OBJLIB)/xfncxfer.a                                           \
	$(OBJLIB)/xmacxfer.a                                           \
	$(OBJLIB)/xmc2xfer.a                                           \
	$(OBJLIB)/xncxfer.a                                            \
	$(OBJLIB)/xpxfer.a                                             \
	$(OBJLIB)/xslpxfer.a                                           \
	$(OBJLIB)/xslrxfer.a                                           \
	$(OBJLIB)/xucxfer.a                                            \
	$(OBJLIB)/xugxfer.a                                            \
	$(OBJLIB)/xuixfer.a                                            \
	$(OBJLIB)/xuxfer.a                                             \
	$(OBJLIB)/xwfsxfer.a                                           \
	$(OBJLIB)/yak2xfer.a                                           \
	$(OBJLIB)/yasxfer.a                                            \
	$(OBJLIB)/ymacxfer.a                                           \
	$(OBJLIB)/yuixfer.a                                            \
	$(OBJLIB)/zux2xfer.a                                           \
	$(OBJLIB)/xhlxfer.a                                            \
	$(OBJLIB)/xhxfer.a                                             \
	$(OBJLIB)/xio2xfer.a                                           \
	$(OBJLIB)/xlfxfer.a                                            \
	$(OBJLIB)/xoixxfer.a                                           \
	$(OBJLIB)/xoupxfer.a                                           \
	$(OBJLIB)/yhlxfer.a                                            \
	$(OBJLIB)/yio2xfer.a                                           \
	$(OBJLIB)/yoixxfer.a                                           \
	$(OBJLIB)/tksubs.a                                             \
	$(OBJLIB)/tkvsubs.a                                            \
	$(OBJLIB)/vblaxfer.a                                           \
	$(OBJLIB)/vmthxfer.a                                           \
	$(OBJLIB)/vsubl.a                                              \
	$(OBJLIB)/vsubxfer.a                                           \
	$(OBJLIB)/vtrexfer.a                                           \
	$(OBJLIB)/corer.a                                              \
	$(OBJLIB)/host.a                                               \
	$(OBJLIB)/viconlib.a                                           \
	$(OBJLIB)/dsubs.a                                              \
	$(OBJLIB)/subsa0g.a                                            \
	$(OBJLIB)/subsh0m.a                                            \
	$(OBJLIB)/subsn0q.a                                            \
	$(OBJLIB)/subsr0z.a                                            \
	$(OBJLIB)/xwhrxfer.a                                           \
	$(OBJLIB)/xoioxfer.a                                           \
	$(OBJLIB)/yoioxfer.a                                           \
	$(OBJLIB)/tklib.a                                              \
	-lm_r -lc_r                                                    \
	-bstatic $(CLILIB12)

	cd $(SASLIB);ln -s -f sastra.e9te11 sastra

	echo "Clean-up"
	rm -R sastra_obj
	rm $(CLILIB12)
########################################################################
# Create static libraries using NCR supplied shared objects            #
########################################################################
libcliv2.a: $(NCRLIB)/libcliv2.so
	echo "Generating $@"
	ar -X64 r $@ $?
libtdusr.a: $(NCRLIB)/libtdusr.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicudatatd.a: $(NCRLIB)/libicudatatd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicudatatd34.a: $(NCRLIB)/libicudatatd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicui18ntd.a: $(NCRLIB)/libicui18ntd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicui18ntd34.a: $(NCRLIB)/libicui18ntd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicuiotd.a: $(NCRLIB)/libicuiotd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicuiotd34.a: $(NCRLIB)/libicuiotd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
libiculetd.a: $(NCRLIB)/libiculetd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libiculetd34.a: $(NCRLIB)/libiculetd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
libiculxtd.a: $(NCRLIB)/libiculxtd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libiculxtd34.a: $(NCRLIB)/libiculxtd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicuuctd.a: $(NCRLIB)/libicuuctd.so
	echo "Generating $@"
	ar -X64 r $@ $?
libicuuctd34.a: $(NCRLIB)/libicuuctd34.so
	echo "Generating $@"
	ar -X64 r $@ $?
